/**
 * Copyright (C) 2024 bAvenir
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

.slide-in-bottom {
  animation: slide-in-bottom 200ms forwards;
  -webkit-animation: slide-in-bottom 200ms forwards;
}

.slide-out-bottom {
  animation: slide-out-bottom 100ms forwards;
  -webkit-animation: slide-out-bottom 100ms forwards;
}

@keyframes slide-in-bottom {
  0% {
    transform: translateY(100%);
  }
  100% {
    transform: translateY(0%);
  }
}

@-webkit-keyframes slide-in-bottom {
  0% {
    -webkit-transform: translateY(100%);
  }
  100% {
    -webkit-transform: translateY(0%);
  }
}

@keyframes slide-out-bottom {
  0% {
    transform: translateY(0%);
  }
  100% {
    transform: translateY(100%);
  }
}

@-webkit-keyframes slide-out-bottom {
  0% {
    -webkit-transform: translateY(0%);
  }
  100% {
    -webkit-transform: translateY(100%);
  }
}

.content {
  transform: translateX(100%);
  -webkit-transform: translateX(100%);
}

.shadow-top {
  -webkit-box-shadow: 0px -9px 42px -10px rgba(0, 0, 0, 0.55);
  -moz-box-shadow: 0px -9px 42px -10px rgba(0, 0, 0, 0.55);
  box-shadow: 0px -9px 42px -10px rgba(0, 0, 0, 0.55);
}
